* [gentoo-commits] proj/kde-sunset:master commit in: net-p2p/ktorrent/, net-p2p/ktorrent/files/
@ 2016-11-20 8:04 Johannes Huber
0 siblings, 0 replies; only message in thread
From: Johannes Huber @ 2016-11-20 8:04 UTC (permalink / raw
To: gentoo-commits
commit: ac8342b5adc4ff3482825d03d6fe8b391c3e7362
Author: Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 20 08:04:49 2016 +0000
Commit: Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Sun Nov 20 08:04:49 2016 +0000
URL: https://gitweb.gentoo.org/proj/kde-sunset.git/commit/?id=ac8342b5
net-p2p/ktorrent: Import latest kdelibs4 version
From gentoo main tree.
Package-Manager: portage-2.3.2
.../ktorrent/files/ktorrent-4.3.1-ipfilter.patch | 72 ++++++++++++++
.../files/ktorrent-4.3.1-underlinking.patch | 21 ++++
net-p2p/ktorrent/ktorrent-2.2.8-r2.ebuild | 4 +-
net-p2p/ktorrent/ktorrent-4.3.1-r1.ebuild | 106 +++++++++++++++++++++
net-p2p/ktorrent/metadata.xml | 39 ++++----
5 files changed, 219 insertions(+), 23 deletions(-)
diff --git a/net-p2p/ktorrent/files/ktorrent-4.3.1-ipfilter.patch b/net-p2p/ktorrent/files/ktorrent-4.3.1-ipfilter.patch
new file mode 100644
index 0000000..4572c3d
--- /dev/null
+++ b/net-p2p/ktorrent/files/ktorrent-4.3.1-ipfilter.patch
@@ -0,0 +1,72 @@
+From 3dfcbeb9765e99f9b99951134b17268eb7a617d2 Mon Sep 17 00:00:00 2001
+From: Joris Guisson <joris.guisson@gmail.com>
+Date: Thu, 1 Aug 2013 13:19:29 +0200
+Subject: [PATCH] Backport ipfilter extraction fixes from master branch to 4.3
+ branch
+
+BUG: 315239
+---
+ ChangeLog | 3 +++
+ plugins/ipfilter/downloadandconvertjob.cpp | 22 +++++-----------------
+ 2 files changed, 8 insertions(+), 17 deletions(-)
+
+diff --git a/ChangeLog b/ChangeLog
+index c5ae9da..42c48ff 100644
+--- a/ChangeLog
++++ b/ChangeLog
+@@ -1,3 +1,6 @@
++Changes in 4.3.2:
++- Backport ipfilter extraction fixes from master branch (315239)
++
+ Changes in 4.3.1:
+ - Fix new custom groups not appearing in add to group submenu (307230)
+ - Fix crash when right clicking on some locations in the GroupView due to 0 pointer (307160)
+diff --git a/plugins/ipfilter/downloadandconvertjob.cpp b/plugins/ipfilter/downloadandconvertjob.cpp
+index d3092ac..4080c2a 100644
+--- a/plugins/ipfilter/downloadandconvertjob.cpp
++++ b/plugins/ipfilter/downloadandconvertjob.cpp
+@@ -114,12 +114,13 @@ namespace kt
+
+ //now determine if it's ZIP or TXT file
+ KMimeType::Ptr ptr = KMimeType::findByPath(temp);
++ Out(SYS_IPF|LOG_NOTICE) << "Mimetype: " << ptr->name() << endl;
+ if (ptr->name() == "application/zip")
+ {
+ active_job = KIO::file_move(temp,QString(kt::DataDir() + QLatin1String("level1.zip")),-1,KIO::HideProgressInfo|KIO::Overwrite);
+ connect(active_job,SIGNAL(result(KJob*)),this,SLOT(extract(KJob*)));
+ }
+- else if (ptr->name() == "application/x-gzip" || ptr->name() == "application/x-bzip")
++ else if (ptr->name() == "application/x-gzip" || ptr->name() == "application/x-bzip" || ptr->name() == "application/gzip")
+ {
+ active_job = new bt::DecompressFileJob(temp,QString(kt::DataDir() + "level1.txt"));
+ connect(active_job,SIGNAL(result(KJob*)),this,SLOT(convert(KJob*)));
+@@ -174,23 +175,10 @@ namespace kt
+ }
+
+ QString destination = kt::DataDir() + "level1.txt";
+- if (zip->directory()->entries().contains("splist.txt"))
++ QStringList entries = zip->directory()->entries();
++ if (entries.count() >= 1)
+ {
+- active_job = new bt::ExtractFileJob(zip,"splist.txt",destination);
+- connect(active_job,SIGNAL(result(KJob*)),this,SLOT(convert(KJob*)));
+- unzip = true;
+- active_job->start();
+- }
+- else if (zip->directory()->entries().contains("level1.txt"))
+- {
+- active_job = new bt::ExtractFileJob(zip,"level1.txt",destination);
+- connect(active_job,SIGNAL(result(KJob*)),this,SLOT(convert(KJob*)));
+- unzip = true;
+- active_job->start();
+- }
+- else if (zip->directory()->entries().contains("ipfilter.dat"))
+- {
+- active_job = new bt::ExtractFileJob(zip,"ipfilter.dat",destination);
++ active_job = new bt::ExtractFileJob(zip,entries.front(),destination);
+ connect(active_job,SIGNAL(result(KJob*)),this,SLOT(convert(KJob*)));
+ unzip = true;
+ active_job->start();
+--
+1.8.3.2
+
diff --git a/net-p2p/ktorrent/files/ktorrent-4.3.1-underlinking.patch b/net-p2p/ktorrent/files/ktorrent-4.3.1-underlinking.patch
new file mode 100644
index 0000000..84e6fa7
--- /dev/null
+++ b/net-p2p/ktorrent/files/ktorrent-4.3.1-underlinking.patch
@@ -0,0 +1,21 @@
+From 3ef62c439027acc0a166101419fff4bc0c69013d Mon Sep 17 00:00:00 2001
+From: Christoph Feck <christoph@maxiom.de>
+Date: Fri, 19 Oct 2012 10:56:22 +0200
+Subject: [PATCH] SVN_SILENT link
+
+---
+ plugins/ipfilter/tests/CMakeLists.txt | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/plugins/ipfilter/tests/CMakeLists.txt b/plugins/ipfilter/tests/CMakeLists.txt
+index 3b40887..90d6d42 100644
+--- a/plugins/ipfilter/tests/CMakeLists.txt
++++ b/plugins/ipfilter/tests/CMakeLists.txt
+@@ -1,3 +1,3 @@
+ set(ipblocklisttest_SRCS ipblocklisttest.cpp ../ipblocklist.cpp)
+ kde4_add_unit_test(ipblocklisttest TESTNAME ipblocklisttest ${ipblocklisttest_SRCS})
+-target_link_libraries(ipblocklisttest ${QT_QTTEST_LIBRARY} ktorrent)
++target_link_libraries(ipblocklisttest ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${QT_QTTEST_LIBRARY} ${LIBKTORRENT_LIBRARIES})
+--
+1.8.1.2
+
diff --git a/net-p2p/ktorrent/ktorrent-2.2.8-r2.ebuild b/net-p2p/ktorrent/ktorrent-2.2.8-r2.ebuild
index 971297f..2e231c8 100644
--- a/net-p2p/ktorrent/ktorrent-2.2.8-r2.ebuild
+++ b/net-p2p/ktorrent/ktorrent-2.2.8-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2009 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-p2p/ktorrent/ktorrent-2.2.8-r2.ebuild,v 1.7 2009/06/01 16:28:39 nixnut Exp $
@@ -22,7 +22,7 @@ LICENSE="GPL-2"
SLOT="3.5"
KEYWORDS="amd64 ppc ppc64 sparc x86 ~x86-fbsd"
-IUSE="avahi kdeenablefinal"
+IUSE="avahi"
DEPEND="!<net-p2p/ktorrent-2.2.8-r2
dev-libs/gmp
diff --git a/net-p2p/ktorrent/ktorrent-4.3.1-r1.ebuild b/net-p2p/ktorrent/ktorrent-4.3.1-r1.ebuild
new file mode 100644
index 0000000..38fc680
--- /dev/null
+++ b/net-p2p/ktorrent/ktorrent-4.3.1-r1.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KDE_SCM="git"
+LIBKT_VERSION_MIN="${PV}"
+LIBKT_VERSION_MAX="99999999"
+if [[ ${PV} != 9999* ]]; then
+ inherit versionator
+ # upstream likes to skip that _ in beta releases
+ MY_PV="${PV/_/}"
+ LIBKT_VERSION_MIN=$(($(get_major_version)-3)).$(get_version_component_range 2-3 ${PV})
+ LIBKT_VERSION_MAX=$(($(get_major_version)-3)).$(($(get_version_component_range 2)+1))
+ MY_P="${PN}-${MY_PV}"
+ KDE_HANDBOOK="optional"
+ KDE_DOC_DIRS="doc"
+
+ KDE_LINGUAS="ar ast be bg bs ca ca@valencia cs da de el en_GB eo es et eu
+ fi fr ga gl hi hne hr hu is it ja km ku lt lv mai ms nb nds nl nn oc
+ pl pt pt_BR ro ru se si sk sl sq sr sr@ijekavian sr@ijekavianlatin
+ sr@latin sv tr ug uk zh_CN zh_TW"
+ SRC_URI="http://ktorrent.org/downloads/${MY_PV}/${MY_P}.tar.bz2"
+ S="${WORKDIR}"/"${MY_P}"
+
+ KEYWORDS="~amd64 ~x86"
+else
+ LIBKT_VERSION_MIN="${PV}"
+ LIBKT_VERSION_MAX="99999999"
+fi
+
+inherit kde4-base
+
+DESCRIPTION="A BitTorrent program for KDE"
+HOMEPAGE="http://ktorrent.pwsp.net/"
+
+LICENSE="GPL-2"
+SLOT="4"
+IUSE="+bwscheduler debug +downloadorder +infowidget +ipfilter +kross +logviewer
++magnetgenerator +mediaplayer plasma rss +scanfolder +search +shutdown +stats
++upnp webinterface +zeroconf"
+
+COMMONDEPEND="
+ <net-libs/libktorrent-${LIBKT_VERSION_MAX}:4
+ >=net-libs/libktorrent-${LIBKT_VERSION_MIN}:4
+ infowidget? ( dev-libs/geoip )
+ mediaplayer? ( >=media-libs/taglib-1.5 )
+ plasma? ( $(add_kdebase_dep libtaskmanager) )
+ rss? ( $(add_kdeapps_dep kdepimlibs) )
+ search? (
+ $(add_kdebase_dep kdelibs webkit 4.14.22)
+ dev-qt/qtwebkit:4
+ )
+ shutdown? ( $(add_kdebase_dep libkworkspace) )
+"
+DEPEND="${COMMONDEPEND}
+ dev-libs/boost
+ sys-devel/gettext
+"
+RDEPEND="${COMMONDEPEND}
+ ipfilter? (
+ app-arch/bzip2
+ app-arch/unzip
+ $(add_kdeapps_dep kdebase-kioslaves)
+ )
+ kross? ( $(add_kdebase_dep krosspython) )
+"
+
+PATCHES=(
+ "${FILESDIR}/${P}-ipfilter.patch"
+ "${FILESDIR}/${P}-underlinking.patch"
+)
+
+src_prepare() {
+ if ! use plasma; then
+ sed -i \
+ -e "s:add_subdirectory(plasma):#nada:g" \
+ CMakeLists.txt || die "Failed to make plasmoid optional"
+ fi
+
+ kde4-base_src_prepare
+}
+
+src_configure() {
+ mycmakeargs=(
+ $(cmake-utils_use_enable bwscheduler BWSCHEDULER_PLUGIN)
+ $(cmake-utils_use_enable downloadorder DOWNLOADORDER_PLUGIN)
+ $(cmake-utils_use_enable infowidget INFOWIDGET_PLUGIN)
+ $(cmake-utils_use_with infowidget SYSTEM_GEOIP)
+ $(cmake-utils_use_enable ipfilter IPFILTER_PLUGIN)
+ $(cmake-utils_use_enable kross SCRIPTING_PLUGIN)
+ $(cmake-utils_use_enable logviewer LOGVIEWER_PLUGIN)
+ $(cmake-utils_use_enable magnetgenerator MAGNETGENERATOR_PLUGIN)
+ $(cmake-utils_use_enable mediaplayer MEDIAPLAYER_PLUGIN)
+ $(cmake-utils_use_enable rss SYNDICATION_PLUGIN)
+ $(cmake-utils_use_enable scanfolder SCANFOLDER_PLUGIN)
+ $(cmake-utils_use_enable search SEARCH_PLUGIN)
+ $(cmake-utils_use_enable shutdown SHUTDOWN_PLUGIN)
+ $(cmake-utils_use_enable stats STATS_PLUGIN)
+ $(cmake-utils_use_enable upnp UPNP_PLUGIN)
+ $(cmake-utils_use_enable webinterface WEBINTERFACE_PLUGIN)
+ $(cmake-utils_use_enable zeroconf ZEROCONF_PLUGIN)
+ )
+ kde4-base_src_configure
+}
diff --git a/net-p2p/ktorrent/metadata.xml b/net-p2p/ktorrent/metadata.xml
index 176d489..cf6bd52 100644
--- a/net-p2p/ktorrent/metadata.xml
+++ b/net-p2p/ktorrent/metadata.xml
@@ -1,25 +1,22 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<!-- maintainer-needed -->
-<maintainer>
- <email>deathwing00@gentoo.org</email>
- <name>deathwing00</name>
-</maintainer>
-<use>
- <flag name="bwscheduler">Enable the bwscheduler plugin</flag>
- <flag name="downloadorder">Enable plugin for user selected download order</flag>
- <flag name="infowidget">Enable the infowidget plugin</flag>
- <flag name="ipfilter">Enable the ipfilter plugin</flag>
- <flag name="kross">Enable kross scripting support</flag>
- <flag name="logviewer">Enable the logviewer plugin</flag>
- <flag name="mediaplayer">Enable the mediaplayer plugin</flag>
- <flag name="scanfolder">Enable the scanfolder plugin</flag>
- <flag name="search">Enable the search plugin</flag>
- <flag name="shutdown">Shutdown when done</flag>
- <flag name="stats">Enable the statistics plugin</flag>
- <flag name="upnp">Enable the uphp plugin</flag>
- <flag name="webinterface">Enable the webinterface plugin</flag>
- <flag name="zeroconf">Discover peers on the local network using the Zeroconf protocol</flag>
-</use>
+ <!-- maintainer-needed -->
+ <use>
+ <flag name="bwscheduler">Enable the bwscheduler plugin</flag>
+ <flag name="downloadorder">Enable plugin for user selected download order</flag>
+ <flag name="infowidget">Enable the infowidget plugin</flag>
+ <flag name="ipfilter">Enable the ipfilter plugin</flag>
+ <flag name="kross">Enable kross scripting support</flag>
+ <flag name="logviewer">Enable the logviewer plugin</flag>
+ <flag name="magnetgenerator">Generates magnet URI's</flag>
+ <flag name="mediaplayer">Enable the mediaplayer plugin</flag>
+ <flag name="scanfolder">Enable the scanfolder plugin</flag>
+ <flag name="search">Enable the search plugin</flag>
+ <flag name="shutdown">Shutdown when done</flag>
+ <flag name="stats">Enable the statistics plugin</flag>
+ <flag name="upnp">Enable the uphp plugin</flag>
+ <flag name="webinterface">Enable the webinterface plugin</flag>
+ <flag name="zeroconf">Discover peers on the local network using the Zeroconf protocol</flag>
+ </use>
</pkgmetadata>
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2016-11-20 8:05 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-11-20 8:04 [gentoo-commits] proj/kde-sunset:master commit in: net-p2p/ktorrent/, net-p2p/ktorrent/files/ Johannes Huber
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox